#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# File for messages displayed by the upgrade automated scripts.
#
# ################################################################################


# *********************
# * Messages function *
# *********************
messages() {

case $1 in

# *********************************
# * Initial verification messages *
# *********************************

INVALID_LAUNCH )
echo ""
echo "Non eseguire direttamente lo script app_upgrade. Per aggiornare un'applicazione, eseguire il comando riportato di seguito:"
echo "    relm_upgrade"
echo "Utilizzare -help per una descrizione completa del comando sopra riportato."
;;

INVALID_START_DIR )
echo ""
echo "Tranne che durante l'utilizzo del parametro -help, lo script $2 non può essere eseguito da un'altra directory diversa da $3"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "Il file '$2' contiene i valori di parametro per lo script di aggiornamento."
echo "Se è necessario modificare i valori dei parametri predefiniti, è possibile modificare i file oppure specificare i valori dei parametri come argomenti della riga comandi sugli script di aggiornamento."
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "Il seguente file contiene i valori di parametro predefiniti per un aggiornamento dell'applicazione. Se è necessario modificare i valori di parametro predefiniti, è possibile modificare il file o è possibile specificare i valori di parametro come argomenti della riga comandi per lo script di aggiornamento."
echo "- RELM upgrade:  $2/params/relm_params$3.sh"
echo ""
;;


# ************************************
# * Parameters verification messages *
# ************************************

# Intrinsic verification
# ======================

MISSING_APP_TYPE )
echo ""
echo "Nessun tipo di applicazione è stato specificato. Per aggiornare l'applicazione, eseguire il comando riportato di seguito:"
echo "    relm_upgrade"
echo "Utilizzare -help per una descrizione completa del comando sopra riportato."
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2 non è un tipo di applicazione valido. Per aggiornare l'applicazione, eseguire il comando riportato di seguito:"
echo "    relm_upgrade"
echo "Utilizzare -help per una descrizione completa del comando sopra riportato."
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "Valore mancante per il parametro $2."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "La directory $3, specificata per il parametro $2, non esiste o non è valido."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "La directory $3 specificata per il parametro $2 deve essere un percorso assoluto."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "Il file $3, specificato per il parametro $2, non esiste o non è valido."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3 è un valore non valido per il parametro $2."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2 è un parametro sconosciuto."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;


# Extrinsic verification
# ======================

MISSING_HOME_PARAM )
echo ""
echo "Parametro directory home $2 mancante."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "La directory $2 non esiste o non è valida."
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "Impossibile trovare il comando repotools '$2' dell'applicazione."
echo ""
echo "Accertarsi che il parametro -oldApplicationHome '$3' stia puntando alla directory di configurazione server precedente, ad esempio, 'JazzInstallDir/server/conf'."
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "Impossibile trovare il comando repotools '$2' dell'applicazione."
echo ""
echo "Accertarsi che il parametro -oldApplicationHome '$3' stia puntando alla directory di configurazione server precedente, ad esempio 'JazzInstallDir/server/conf', e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "Impossibile trovare il file di configurazione '$2'."
echo ""
echo "Accertarsi che il parametro -oldApplicationHome '$3' stia puntando alla directory di configurazione server precedente, ad esempio, 'JazzInstallDir/server/conf'."
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "Impossibile trovare il file di configurazione '$2'."
echo ""
echo "Accertarsi che il parametro -oldApplicationHome '$3' stia puntando alla directory di configurazione server precedente, ad esempio 'JazzInstallDir/server/conf', e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "Impossibile trovare il comando repotools '$2' dell'applicazione."
echo ""
echo "Accertarsi che il parametro -newApplicationHome '$3' stia puntando alla nuova directory di configurazione server dell'applicazione, ad esempio 'JazzInstallDir/server/conf', e che il parametro jtsContextRoot '$4' sia corretto."
echo "Se si sta eseguendo l'aggiornamento da una release precedente, accertarsi che siano state selezionate le root di contesto corrette. Ad esempio, se si utilizza Installation Manager, è necessario selezionare l'opzione della root di contesto $5 nel pannello "Context Root Options" . Se è stata erroneamente selezionata un'opzione diversa, è necessario installare di nuovo il prodotto con l'opzione della root di contesto $5."
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "Impossibile trovare il file di configurazione '$2'."
echo ""
echo "Accertarsi che il parametro -newApplicationHome '$3' stia puntando alla nuova directory di configurazione server JTS, ad esempio 'JazzInstallDir/server/conf', e che il parametro jtsContextRoot '$4' sia corretto."
echo "Se si sta eseguendo l'aggiornamento da una release precedente, accertarsi che siano state selezionate le root di contesto corrette. Ad esempio, se si utilizza Installation Manager, è necessario selezionare l'opzione della root di contesto $5 nel pannello "Context Root Options" . Se è stata erroneamente selezionata un'opzione diversa, è necessario installare di nuovo il prodotto con l'opzione della root di contesto $5."
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "Impossibile trovare il comando repotools JTS '$2'."
echo ""
echo "Accertarsi che il parametro -oldJTSHome '$3' stia puntando alla directory di configurazione server JTS precedente, ad esempio 'JazzInstallDir/server/conf', e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "Impossibile trovare il file di configurazione '$2'."
echo ""
echo "Accertarsi che il parametro -oldJTSHome '$3' stia puntando alla directory di configurazione server JTS precedente, ad esempio 'JazzInstallDir/server/conf', e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "Impossibile trovare il comando repotools JTS '$2'."
echo ""
echo "Accertarsi che il parametro -newJTSHome '$3' stia puntando alla nuova directory di configurazione server JTS, ad esempio 'JazzInstallDir/server/conf', e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "Impossibile trovare il file di configurazione '$2'."
echo ""
echo "Accertarsi che il parametro -newJTSHome '$3' stia puntando alla nuova directory di configurazione server JTS, ad esempio 'JazzInstallDir/server/conf', e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "Un file tar contenente dati 2.x è richiesto per l'aggiornamento $2."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;


# **********************
# * Execution messages *
# **********************

BANNER_relm )
echo ""
echo ""
echo "============================================"
echo "===    Aggiornamento RELM    ==="
echo "============================================"
echo ""
;;


# *********************
# * First step switch *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "Ultima esecuzione non riuscita durante il passo iniziale..."
;;

LAST_STEP_FAILED )
echo ""
echo "Ultima esecuzione non riuscita durante il passo $2..."
echo "Si desidera riavviare l'aggiornamento da questo passo o da uno precedente?"
;;

ALREADY_RUN )
echo ""
echo "L'aggiornamento è già stato terminato e completato correttamente..."
echo "Si desidera riavviare uno nuovo da un passo specifico?"
;;

LAST_STEP_PASSED )
echo ""
echo "L'ultima esecuzione è stata arrestata correttamente al passo $2..."
echo "Si desidera riavviare l'aggiornamento dal passo corrente $3 o da uno precedente?"
;;

ENTER_NEXT_STEP )
echo ""
echo "Immettere il numero di passo [$2-$3] da cui si desidera riavviare l'aggiornamento o premere [Invio] per annullare:"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2' non è un numero. Immettere un numero di passo valido."
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2' è un numero di passo non valido. Immettere un numero di passo valido."
;;

MAX_STEP_NUMBER )
echo ""
echo "L'ultimo passo è il passo $2, quindi non è possibile riavviare l'aggiornamento al passo $3."
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "Il passo $2 non è stato ancora eseguito, quindi non è possibile riavviare l'aggiornamento al passo $3."
;;


# **********************
# * Messages for Steps *
# **********************

STEP_0_IBMi )
echo "Passo 0: Elimina tabelle"
echo "------------------------"
;;

STEP_0 )
echo "Passo 0: Aggiorna file di config"
echo "--------------------------------"
;;

STEP_1_ADD )
echo "Passo 1: Aggiungi tabelle"
echo "-------------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "Passo $2: Ricrea indici di testo"
echo "--------------------------------"
;;

JFS_INDICES_STEP )
echo "Passo $2: Ricrea query e indici di ricerca"
echo "------------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "Passo 2: Aggiorna schema del data warehouse"
echo "-------------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "Aggiornamento $2 non riuscito al passo $3. Correggere il problema ed eseguire di nuovo lo script a partire dal passo $3."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_RELM )
echo ""
echo "Aggiornamento $2 riuscito. Se è stato aggiornato anche JTS e qualsiasi applicazione dipendente (come ad esempio VVC, LQE e Sparql_Gateway), è possibile ora avviare i server nella propria distribuzione."
echo ""
;;

# *******************************
# * Messages while running step *
# *******************************

STEP_DIR_CMD )
echo ""
echo "Directory: $2"
echo "Comando:"
;;

ENTER_STEP_ACTION )
echo "Immettere [E] per eseguire questo passo, [S] per ignorarlo o premere [Invio] per annullare l'esecuzione dello script:"
;;

INVALID_STEP_ACTION )
echo ""
echo "'$2' è una voce non valida, sono consentite solo 'E', 'S' o 'Invio'"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "Verrà aperto un editor vi per consentire la verifica del file $2 teamserver.properties."
echo "Accertarsi che la root dell'URI pubblico indicato dalla proprietà com.ibm.team.repository.server.webapp.url sia corretto."
echo "Accertarsi che le proprietà del database siano corrette."
echo "Al termine, salvare eventuali modifiche e chiudere l'editor per continuare l'esecuzione dello script."
echo ""
;;

PAUSE )
echo ""
echo "Immettere [C] per continuare l'esecuzione o premere [Invio] per annullare l'esecuzione dello script:"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "'$2' è una voce non valida, sono consentite solo 'C' o 'Invio'"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "Impossibile copiare gli indici di testo da '$2' a '$3'."
echo "Verificare la proprietà com.ibm.team.fulltext.indexLocation"
echo "definita nel file teamserver.properties."
echo "Copiare manualmente gli indici di testo in questa directory"
echo "oppure eseguire repotools -rebuildTextIndices per ricrearli."
echo ""
;;

# *****************************************
# * Messages for Public URIs verification *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRORE !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Non vi è alcun URI pubblico definito in"
echo "$3,"
echo "pertanto l'aggiornamento non può essere avviato."
echo ""
echo "È necessario che vi sia un URI pubblico in questo file definito nel modo seguente:"
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "La proprietà dell'URI pubblico com.ibm.team.repository.server.webapp.url deve essere presente nel file teamserver.properties."
echo "Aggiungere la proprietà al file teamserver.properties dell'installazione precedente e impostare il valore in modo che sia la root URI che tutti i client utilizzano per raggiungere il server."
echo "La root URI pubblico è fondamentale per il corretto funzionamento della nuova installazione. L'aggiornamento non potrà riuscire senza questa proprietà.  "
echo "Per ulteriori informazioni, consultare l'argomento dell'InfoCenter nella sezione relativa alla 'pianificazione degli URI'."
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRORE !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Tutti gli URI pubblici definiti in"
echo "$3,"
echo "sono commentati, quindi l'aggiornamento non può essere avviato."
echo ""
echo "Un solo URI pubblico non commentato deve essere presente in questo file:"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "La proprietà dell'URI pubblico com.ibm.team.repository.server.webapp.url deve essere presente nel file teamserver.properties."
echo "Aggiungere la proprietà al file teamserver.properties dell'installazione precedente e impostare il valore in modo che sia la root URI che tutti i client utilizzano per raggiungere il server."
echo "La root URI pubblico è fondamentale per il corretto funzionamento della nuova installazione. L'aggiornamento non potrà riuscire senza questa proprietà."
echo "Per ulteriori informazioni, consultare l'argomento dell'InfoCenter nella sezione relativa alla 'pianificazione degli URI'."
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "La root di contesto per JTS è impostata su '$2'."
echo "La root di contesto per l'applicazione è impostata su '$3'."
echo "La root di contesto per jts e l'applicazione non possono essere uguali."
echo ""
;;

esac

}
