#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# File for messages displayed by the upgrade automated scripts.
#
# ################################################################################


# *********************
# * Messages function *
# *********************
messages() {

case $1 in

# *********************************
# * Initial verification messages *
# *********************************

INVALID_LAUNCH )
echo ""
echo "app_upgrade 스크립트를 직접 실행하지 마십시오. 애플리케이션을 업그레이드하려면 다음 명령을 실행하십시오. "
echo "    relm_upgrade"
echo "위 명령에 대한 전체 설명을 보려면 -help를 사용하십시오. "
;;

INVALID_START_DIR )
echo ""
echo "-help 매개변수를 사용 중인 경우를 제외하고는 $3 이외의 디렉토리에서 $2 스크립트를 실행할 수 없습니다. "
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "'$2' 파일에 업그레이드 스크립트에 대한 매개변수값이 있습니다. "
echo "기본 매개변수값 중 하나를 수정해야 할 경우 이러한 파일을 편집하거나 매개변수값을 업그레이드 스크립트에 대한 명령행 인수로 지정할 수 있습니다. "
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "다음 파일에 애플리케이션 업그레이드에 대한 기본 매개변수값이 있습니다. 기본 매개변수값 중 하나를 수정해야 할 경우 이 파일을 편집하거나 매개변수값을 업그레이드 스크립트에 대한 명령행 인수로 지정할 수 있습니다. "
echo "- RELM upgrade:  $2/params/relm_params$3.sh"
echo ""
;;


# ************************************
# * Parameters verification messages *
# ************************************

# Intrinsic verification
# ======================

MISSING_APP_TYPE )
echo ""
echo "애플리케이션 유형이 지정되지 않았습니다. 애플리케이션을 업그레이드하려면 다음 명령을 실행하십시오. "
echo "    relm_upgrade"
echo "위 명령에 대한 전체 설명을 보려면 -help를 사용하십시오. "
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2이(가) 올바른 애플리케이션 유형이 아닙니다. 애플리케이션을 업그레이드하려면 다음 명령을 실행하십시오. "
echo "    relm_upgrade"
echo "위 명령에 대한 전체 설명을 보려면 -help를 사용하십시오. "
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "$2 매개변수값이 누락되었습니다. "
echo "매개변수에 대한 전체 설명을 보려면 -help를 사용하십시오. "
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "$2 매개변수에 대해 지정된 $3 디렉토리가 없거나 올바르지 않습니다. "
echo "매개변수에 대한 전체 설명을 보려면 -help를 사용하십시오. "
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "$2 매개변수에 대해 지정된 $3 디렉토리는 절대 경로여야 합니다. "
echo "매개변수에 대한 전체 설명을 보려면 -help를 사용하십시오. "
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "$2 매개변수에 대해 지정된 $3 파일이 없거나 올바르지 않습니다. "
echo "매개변수에 대한 전체 설명을 보려면 -help를 사용하십시오. "
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3은(는) $2 매개변수의 올바르지 않은 값입니다. "
echo "매개변수에 대한 전체 설명을 보려면 -help를 사용하십시오. "
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2은(는) 알 수 없는 매개변수입니다. "
echo "매개변수에 대한 전체 설명을 보려면 -help를 사용하십시오. "
echo ""
;;


# Extrinsic verification
# ======================

MISSING_HOME_PARAM )
echo ""
echo "홈 디렉토리 매개변수 $2이(가) 누락되었습니다. "
echo "매개변수에 대한 전체 설명을 보려면 -help를 사용하십시오. "
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "$2 디렉토리가 없거나 올바르지 않습니다. "
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "애플리케이션 repotools 명령 '$2'을(를) 찾을 수 없습니다. "
echo ""
echo "-oldApplicationHome 매개변수 '$3'이(가) 이전 서버 구성 디렉토리(예: 'JazzInstallDir/server/conf')를 가리키는지 확인하십시오. "
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "애플리케이션 repotools 명령 '$2'을(를) 찾을 수 없습니다. "
echo ""
echo "-oldApplicationHome 매개변수 '$3'이(가) 이전 서버 구성 디렉토리(예: 'JazzInstallDir/server/conf')를 가리키고 jtsContextRoot 매개변수 '$4'이(가) 올바른지 확인하십시오. "
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "구성 파일 '$2'을(를) 찾을 수 없습니다. "
echo ""
echo "-oldApplicationHome 매개변수 '$3'이(가) 이전 서버 구성 디렉토리(예: 'JazzInstallDir/server/conf')를 가리키는지 확인하십시오. "
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "구성 파일 '$2'을(를) 찾을 수 없습니다. "
echo ""
echo "-oldApplicationHome 매개변수 '$3'이(가) 이전 서버 구성 디렉토리(예: 'JazzInstallDir/server/conf')를 가리키고 jtsContextRoot 매개변수 '$4'이(가) 올바른지 확인하십시오. "
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "애플리케이션 repotools 명령 '$2'을(를) 찾을 수 없습니다. "
echo ""
echo "-newApplicationHome 매개변수 '$3'이(가) 새 애플리케이션 서버 구성 디렉토리(예: 'JazzInstallDir/server/conf')를 가리키고 jtsContextRoot 매개변수 '$4'이(가) 올바른지 확인하십시오. "
echo "이전 릴리스에서 업그레이드 중인 경우 올바른 컨텍스트 루트를 선택했는지 확인하십시오. 예를 들어, Installation Manager를 사용 중인 경우 $5 컨텍스트 루트 옵션을 "Context Root Options" 패널에서 선택해야 합니다. 실수로 다른 옵션을 선택한 경우 $5 컨텍스트 루트 옵션으로 제품을 다시 설치해야 합니다. "
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "구성 파일 '$2'을(를) 찾을 수 없습니다. "
echo ""
echo "-newApplicationHome 매개변수 '$3'이(가) 새 JTS 서버 구성 디렉토리(예: 'JazzInstallDir/server/conf')를 가리키고 jtsContextRoot 매개변수 '$4'이(가) 올바른지 확인하십시오. "
echo "이전 릴리스에서 업그레이드 중인 경우 올바른 컨텍스트 루트를 선택했는지 확인하십시오. 예를 들어, Installation Manager를 사용 중인 경우 $5 컨텍스트 루트 옵션을 "Context Root Options" 패널에서 선택해야 합니다. 실수로 다른 옵션을 선택한 경우 $5 컨텍스트 루트 옵션으로 제품을 다시 설치해야 합니다. "
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "JTS repotools 명령 '$2'을(를) 찾을 수 없습니다. "
echo ""
echo "-oldJTSHome 매개변수 '$3'이(가) 이전 JTS 서버 구성 디렉토리(예: 'JazzInstallDir/server/conf')를 가리키고 jtsContextRoot 매개변수 '$4'이(가) 올바른지 확인하십시오. "
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "구성 파일 '$2'을(를) 찾을 수 없습니다. "
echo ""
echo "-oldJTSHome 매개변수 '$3'이(가) 이전 JTS 서버 구성 디렉토리(예: 'JazzInstallDir/server/conf')를 가리키고 jtsContextRoot 매개변수 '$4'이(가) 올바른지 확인하십시오. "
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "JTS repotools 명령 '$2'을(를) 찾을 수 없습니다. "
echo ""
echo "-newJTSHome 매개변수 '$3'이(가) 새 JTS 서버 구성 디렉토리(예: 'JazzInstallDir/server/conf')를 가리키고 jtsContextRoot 매개변수 '$4'이(가) 올바른지 확인하십시오. "
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "구성 파일 '$2'을(를) 찾을 수 없습니다. "
echo ""
echo "-newJTSHome 매개변수 '$3'이(가) 새 JTS 서버 구성 디렉토리(예: 'JazzInstallDir/server/conf')를 가리키고 jtsContextRoot 매개변수 '$4'이(가) 올바른지 확인하십시오. "
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "$2 업그레이드에는 2.x 데이터가 있는 tar 파일이 필요합니다. "
echo "매개변수에 대한 전체 설명을 보려면 -help를 사용하십시오. "
echo ""
;;


# **********************
# * Execution messages *
# **********************

BANNER_relm )
echo ""
echo ""
echo "============================================"
echo "===    RELM 업그레이드    ==="
echo "============================================"
echo ""
;;


# *********************
# * First step switch *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "마지막 실행이 초기 단계에서 실패했습니다..."
;;

LAST_STEP_FAILED )
echo ""
echo "마지막 실행이 $2단계에서 실패했습니다..."
echo "해당 단계 또는 이전 단계에서 업그레이드를 다시 시작하시겠습니까? "
;;

ALREADY_RUN )
echo ""
echo "업그레이드가 이미 수행되었고 완료되었습니다..."
echo "특정 단계에서 새로 다시 시작하시겠습니까? "
;;

LAST_STEP_PASSED )
echo ""
echo "마지막 실행이 $2단계에서 성공적으로 중지되었습니다..."
echo "현재 $3단계 또는 이전 단계에서 업그레이드를 다시 시작하시겠습니까? "
;;

ENTER_NEXT_STEP )
echo ""
echo "업그레이드를 다시 시작할 단계 번호 [$2-$3]을(를) 입력하거나 [Enter]를 입력하여 취소하십시오. "
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2'이(가) 번호가 아닙니다. 올바른 단계 번호를 입력하십시오. "
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2'이(가) 올바르지 않은 단계 번호입니다. 올바른 단계 번호를 입력하십시오. "
;;

MAX_STEP_NUMBER )
echo ""
echo "마지막 단계가 $2단계이므로 $3단계에서 업그레이드를 다시 시작할 수 없습니다. "
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "$2단계가 아직 실행되지 않았으므로 $3 단계에서 업그레이드를 다시 시작할 수 없습니다. "
;;


# **********************
# * Messages for Steps *
# **********************

STEP_0_IBMi )
echo "0단계: 테이블 삭제"
echo "-------------------"
;;

STEP_0 )
echo "0단계: 구성 파일 업데이트"
echo "---------------------------"
;;

STEP_1_ADD )
echo "1단계: 테이블 추가"
echo "------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "$2단계: 텍스트 색인 다시 빌드"
echo "----------------------------"
;;

JFS_INDICES_STEP )
echo "$2단계: 조회 및 검색 색인 다시 작성"
echo "-----------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "2단계: 데이터 웨어하우스 스키마 업그레이드"
echo "-------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "$2 업그레이드가 $3단계에서 실패했습니다. 문제점을 정정하고 $3단계부터 스크립트를 다시 실행하십시오. "
echo ""
;;

OVERALL_MIGRATION_SUCCESS_RELM )
echo ""
echo "$2 업그레이드가 성공했습니다. JTS 및 종속 애플리케이션(예: VVC, LQE 및 Sparql_Gateway)도 업그레이드한 경우 이제 해당 배치에서 서버를 시작할 수 있습니다. "
echo ""
;;

# *******************************
# * Messages while running step *
# *******************************

STEP_DIR_CMD )
echo ""
echo "디렉토리: $2"
echo "명령:"
;;

ENTER_STEP_ACTION )
echo "[E]를 입력하여 이 단계를 실행하거나 [S]를 입력하여 단계를 건너뛰거나 [Enter]를 눌러 스크립트 실행을 취소하십시오. "
;;

INVALID_STEP_ACTION )
echo ""
echo "'$2'은(는) 입력할 수 없습니다. 'E', 'S' 또는 'Enter'만 허용됩니다. "
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "vi 편집기가 열려 $2 teamserver.properties 파일을 확인할 수 있습니다. "
echo "com.ibm.team.repository.server.webapp.url 특성에 선언된 공용 URI 루트가 올바른지 확인하십시오. "
echo "데이터베이스 특성이 올바른지 확인하십시오. "
echo "완료되면 변경사항이 있는 경우 저장하고 편집기를 닫은 후 스크립트 실행을 계속하십시오. "
echo ""
;;

PAUSE )
echo ""
echo "[C]를 입력하여 실행을 계속하거나 [Enter]를 눌러 스크립트 실행을 취소하십시오. "
;;

INVALID_PAUSE_ACTION )
echo ""
echo "'$2'은(는) 입력할 수 없습니다. 'C' 또는 'Enter'만 허용됩니다. "
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "'$2'에서 '$3'(으)로 텍스트 색인을 복사하는 데 실패했습니다. "
echo "teamserver.properties 파일에 정의된 com.ibm.team.fulltext.indexLocation"
echo "특성을 확인하십시오. "
echo "수동으로 텍스트 색인을 이 디렉토리에 복사하거나"
echo "repotools -rebuildTextIndices를 실행하여 다시 빌드하십시오. "
echo ""
;;

# *****************************************
# * Messages for Public URIs verification *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 오류 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "공용 URI가"
echo "$3에 정의되지 않았으므로"
echo "업그레이드를 시작할 수 없습니다. "
echo ""
echo "이 파일에는 다음과 같이 정의된 공용 URI가 하나 있어야 합니다. "
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "공용 URI 특성 com.ibm.team.repository.server.webapp.url이 teamserver.properties 파일에 있어야 합니다. "
echo "해당 특성을 이전 설치의 teamserver.properties 파일에 추가하고 모든 클라이언트에서 서버에 접속하는 데 사용하는 URI 루트로 값을 설정하십시오. "
echo "새 설치가 제대로 작동하려면 공용 URI 루트가 반드시 필요합니다. 이 특성이 없으면 업그레이드가 실패합니다. "
echo "자세한 정보는 'URI 계획'에 대한 Information Center 주제를 참조하십시오."
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 오류 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "모든 공용 URI가"
echo "$3에 정의되어 있으나"
echo "주석 처리되었으므로 업그레이드를 시작할 수 없습니다. "
echo ""
echo "이 파일에는 다음과 같이 정의된 주석 처리되지 않은 공용 URI가 하나 있어야 합니다. "
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "공용 URI 특성 com.ibm.team.repository.server.webapp.url이 teamserver.properties 파일에 있어야 합니다. "
echo "해당 특성을 이전 설치의 teamserver.properties 파일에 추가하고 모든 클라이언트에서 서버에 접속하는 데 사용하는 URI 루트로 값을 설정하십시오. "
echo "새 설치가 제대로 작동하려면 공용 URI 루트가 반드시 필요합니다. 이 특성이 없으면 업그레이드가 실패합니다. "
echo "자세한 정보는 'URI 계획'에 대한 Information Center 주제를 참조하십시오. "
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "JTS 컨텍스트 루트가 '$2'(으)로 설정되었습니다. "
echo "애플리케이션 컨텍스트 루트가 '$3'(으)로 설정되었습니다. "
echo "jts 및 애플리케이션 컨텍스트 루트가 동일할 수 없습니다. "
echo ""
;;

esac

}
