#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# File for messages displayed by the upgrade automated scripts.
#
# ################################################################################


# *********************
# * Messages function *
# *********************
messages() {

case $1 in

# *********************************
# * Initial verification messages *
# *********************************

INVALID_LAUNCH )
echo ""
echo "Не запускайте сценарий app_upgrade напрямую. Для обновления приложения выполните следующую команду: "
echo "    relm_upgrade"
echo "Для просмотра описания команды укажите опцию -help. "
;;

INVALID_START_DIR )
echo ""
echo "Во всех случаях, кроме запуска с параметром -help, сценарий $2 должен запускаться из каталога $3"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "Файл '$2' содержит значения параметров для сценария обновления."
echo "Для изменения значений по умолчанию для этих параметров отредактируйте эти файлы или укажите значения параметров как аргументы командной строки в сценариях обновления."
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "Следующий файл содержит значения параметров по умолчанию для обновления приложения. Для изменения значений по умолчанию для этих параметров отредактируйте этот файл или укажите значения параметров как аргументы командной строки в сценарии обновления. "
echo "- RELM upgrade:  $2/params/relm_params$3.sh"
echo ""
;;


# ************************************
# * Parameters verification messages *
# ************************************

# Intrinsic verification
# ======================

MISSING_APP_TYPE )
echo ""
echo "Не указан тип приложения. Для обновления приложения выполните следующую команду: "
echo "    relm_upgrade"
echo "Для просмотра описания команды укажите опцию -help."
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "Недопустимый тип приложения: $2. Для обновления приложения выполните следующую команду:"
echo "    relm_upgrade"
echo "Для просмотра описания команды укажите опцию -help."
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "Отсутствует значение параметра $2."
echo "Для просмотра описания параметров укажите -help."
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "Каталог $3, указанный в параметре $2, не существует или недопустим."
echo "Для просмотра описания параметров укажите -help."
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "Каталог $3, заданный в параметре $2, не является полным путем."
echo "Для просмотра описания параметров укажите -help."
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "Файл $3, указанный в параметре $2, не существует или недопустим."
echo "Для просмотра описания параметров укажите -help."
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3 является недопустимым значением для параметра $2."
echo "Для просмотра описания параметров укажите -help."
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2 является неизвестным параметром."
echo "Для просмотра описания параметров укажите -help."
echo ""
;;


# Extrinsic verification
# ======================

MISSING_HOME_PARAM )
echo ""
echo "Не указан параметр домашнего каталога $2."
echo "Для просмотра описания параметров укажите -help."
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "Каталог $2 не существует или недопустим."
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "Не найдена команда repotools приложения: '$2'."
echo ""
echo "Убедитесь, что в параметре -oldApplicationHome '$3' задан старый каталог конфигурации сервера, например 'JazzInstallDir/server/conf'."
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "Не найдена команда repotools приложения: '$2'."
echo ""
echo "Убедитесь в том, что в параметре -oldApplicationHome '$3' задан старый каталог конфигурации сервера, например 'JazzInstallDir/server/conf', а значение параметра jtsContextRoot '$4' задано правильно."
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "Не найден файл конфигурации '$2'."
echo ""
echo "Убедитесь, что в параметре -oldApplicationHome '$3' задан старый каталог конфигурации сервера, например 'JazzInstallDir/server/conf'."
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "Не найден файл конфигурации '$2'."
echo ""
echo "Убедитесь в том, что в параметре -oldApplicationHome '$3' задан старый каталог конфигурации сервера, например 'JazzInstallDir/server/conf', а значение параметра jtsContextRoot '$4' задано правильно."
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "Не найдена команда repotools приложения: '$2'."
echo ""
echo "Убедитесь в том, что в параметре -newApplicationHome '$3' задан новый каталог конфигурации сервера, например 'JazzInstallDir/server/conf', а значение параметра jtsContextRoot '$4' задано правильно."
echo "Если выполняется обновление предыдущего выпуска, то укажите правильные корневые каталоги контекста. Например, в случае применения Installation Manager необходимо выбрать опцию корневого контекста $5 на панели Параметры корневого контекста. Если случайно был выбран другой параметр, то необходимо заново установить продукт с параметром корневого контекста $5."
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "Не найден файл конфигурации '$2'."
echo ""
echo "Убедитесь в том, что в параметре -newApplicationHome '$3' задан новый каталог конфигурации сервера JTS, например 'JazzInstallDir/server/conf', а значение параметра jtsContextRoot '$4' задано правильно."
echo "Если выполняется обновление предыдущего выпуска, то укажите правильные корневые каталоги контекста. Например, в случае применения Installation Manager необходимо выбрать опцию корневого контекста $5 на панели Параметры корневого контекста. Если случайно был выбран другой параметр, то необходимо заново установить продукт с параметром корневого контекста $5."
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "Не найдена команда JTS repotools: '$2'."
echo ""
echo "Убедитесь в том, что в параметре -oldJTSHome '$3' задан старый каталог конфигурации сервера JTS, например 'JazzInstallDir/server/conf', а значение параметра jtsContextRoot '$4' задано правильно."
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "Не найден файл конфигурации '$2'."
echo ""
echo "Убедитесь в том, что в параметре -oldJTSHome '$3' задан старый каталог конфигурации сервера JTS, например 'JazzInstallDir/server/conf', а значение параметра jtsContextRoot '$4' задано правильно."
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "Не найдена команда JTS repotools: '$2'."
echo ""
echo "Убедитесь в том, что в параметре -newJTSHome '$3' задан новый каталог конфигурации сервера JTS, например 'JazzInstallDir/server/conf', а значение параметра jtsContextRoot '$4' задано правильно."
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "Не найден файл конфигурации '$2'."
echo ""
echo "Убедитесь в том, что в параметре -newJTSHome '$3' задан новый каталог конфигурации сервера JTS, например 'JazzInstallDir/server/conf', а значение параметра jtsContextRoot '$4' задано правильно."
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "Для обновления $2 необходим файл tar с данными версии 2.x."
echo "Для просмотра описания параметров укажите -help."
echo ""
;;


# **********************
# * Execution messages *
# **********************

BANNER_relm )
echo ""
echo ""
echo "============================================"
echo "===    Обновление RELM     ==="
echo "============================================"
echo ""
;;


# *********************
# * First step switch *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "Сбой последнего выполнения на начальном шаге..."
;;

LAST_STEP_FAILED )
echo ""
echo "Сбой последнего выполнения на шаге $2..."
echo "Перезапустить операцию обновления с текущего или предыдущего шага?"
;;

ALREADY_RUN )
echo ""
echo "Операция обновления была успешно завершена..."
echo "Запустить новую операцию обновления с определенного шага?"
;;

LAST_STEP_PASSED )
echo ""
echo "Последняя операция была успешно остановлена на шаге $2..."
echo "Перезапустить операцию обновления с текущего ($3) или предыдущего шага?"
;;

ENTER_NEXT_STEP )
echo ""
echo "Укажите номер шага [$2-$3] для перезапуска операции обновления или нажмите [Enter] для отмены: "
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2' не является числом. Введите допустимый номер шага. "
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2' не является допустимым номером шага. Введите допустимый номер шага."
;;

MAX_STEP_NUMBER )
echo ""
echo "Последним является шаг $2, поэтому обновление нельзя перезапустить с шага $3. "
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "Еще не выполнен шаг $2, поэтому обновление нельзя перезапустить с шага $3. "
;;


# **********************
# * Messages for Steps *
# **********************

STEP_0_IBMi )
echo "Шаг 0: Удалить таблицы"
echo "-------------------"
;;

STEP_0 )
echo "Шаг 0: Обновить файлы конфигурации"
echo "---------------------------"
;;

STEP_1_ADD )
echo "Шаг 1: Добавить таблицы"
echo "------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "Шаг $2: Реорганизовать текстовые индексы"
echo "----------------------------"
;;

JFS_INDICES_STEP )
echo "Шаг $2: Повторно создать индексы поиска и запроса"
echo "-----------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "Шаг 2: Обновить схему хранилища данных"
echo "-------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "Сбой обновления $2 на шаге $3. Устраните ошибку и снова запустите сценарий, начиная с шага $3."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_RELM )
echo ""
echo "Обновление $2 успешно завершено. Если вы обновили JTS и все зависимые приложения (такие как VVC, LQE и Sparql_Gateway), то можно запустить серверы в среде. "
echo ""
;;

# *******************************
# * Messages while running step *
# *******************************

STEP_DIR_CMD )
echo ""
echo "Каталог: $2"
echo "Команда:"
;;

ENTER_STEP_ACTION )
echo "Введите [E] для выполнения этого шага, [S] для пропуска шага или нажмите [Enter] для отмены выполнения сценария:"
;;

INVALID_STEP_ACTION )
echo ""
echo "Ответ '$2' недопустим. Введите 'E', 'S' или нажмите 'Enter'"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "Будет открыт редактор vi, в котором можно проверить файл teamserver.properties $2."
echo "Проверьте правильность внешнего URI, указанного в свойстве com.ibm.team.repository.server.webapp.url."
echo "Проверьте правильность свойств базы данных."
echo "Сохраните внесенные изменения (если они будут) и закройте редактор для продолжения выполнения сценария."
echo ""
;;

PAUSE )
echo ""
echo "Введите [C] для продолжения или нажмите [Enter] для отмены сценария:"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "Ответ '$2' недопустим. Введите 'C' или нажмите 'Enter'"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "Ошибка копирования индексов из '$2' в '$3'."
echo "Проверьте свойство com.ibm.team.fulltext.indexLocation"
echo "в файле teamserver.properties."
echo "echo Скопируйте вручную индексы в этот каталог "
echo "или создайте их повторно командой repotools -rebuildTextIndices."
echo ""
;;

# *****************************************
# * Messages for Public URIs verification *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ОШИБКА !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Отсутствует общедоступный URI в "
echo "$3;"
echo "невозможно запустить обновление. "
echo ""
echo "Этот файл должен содержать один внешний URI в следующем формате: "
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "В файле teamserver.properties должно быть задано свойство внешнего URI, com.ibm.team.repository.server.webapp.url."
echo "Добавьте это свойство в файл teamserver.properties старой версии и укажите в нем корневой URI, применяемый всеми клиентами для обращения к серверу."
echo "Корневой внешний URI необходим для правильной работы вновь установленной программы. Это свойство необходимо для успешного выполнения обновления. "
echo "Дополнительные сведения можно найти в системе InfoCenter, раздел 'Планирование URI'."
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ОШИБКА !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Все внешние URI из "
echo "$3"
echo "выделены символами комментария; невозможно запустить обновление. "
echo ""
echo "Этот файл должен содержать один внешний URI без комментариев в следующем формате: "
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "В файле teamserver.properties должно быть задано свойство внешнего URI, com.ibm.team.repository.server.webapp.url."
echo "Добавьте это свойство в файл teamserver.properties старой версии и укажите в нем корневой URI, применяемый всеми клиентами для обращения к серверу."
echo "Корневой внешний URI необходим для правильной работы вновь установленной программы. Это свойство необходимо для успешного выполнения обновления."
echo "Дополнительные сведения можно найти в системе InfoCenter, раздел 'Планирование URI'."
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "Для JTS указан корневой контекст '$2'."
echo "Корневой контекст приложения - '$3'."
echo "Корневые контексты jts и приложения не могут совпадать."
echo ""
;;

esac

}
