#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Define the environment variables corresponding to the
# # relm_upgrade.sh script parameters and their default values
# #
# #===========================================================
# #
# # This file is read at the beginning of the relm_upgrade.sh
# # script execution. It sets one environment variable per
# # valid parameter with a predefined default value.
# #
# # Users may want to modify the default value in order to
# # launch the relm_upgrade.sh script with their own values
# # without having to enter the parameter and its
# # corresponding value manually at the command line.
# #
# # WARNING:
# # Not all variables are required to be set for every
# # application.  Read each comment carefully before modifying
# # the value.
# #
# #############################################################

# p[^[: -oldApplicationHome
# gp@: -oldApplicationHome <fBNg[EpX>
# :
# 	ÂCXg[ς݊ł̃AvP[VEz[EfBNg[̐΃pXB
# ftHg:
# 	<Ȃ>
# :
#  - ͕K{p[^[łB
#  - <fBNg[EpX> ́Auserver\confvŏĨfBNg[łȂ΂Ȃ܂B
#    : D:\Jazz\IBM\JazzInstallDir\jazz\server\conf
#
OLD_APPLICATION_HOME=

# p[^[: -applicationContextRoot
# gp@: -applicationContextRoot<[g>
# :
# 	AvP[VEReLXgE[gB
# ftHg:
# 	relm
# :
#  - <[g> ͗LȒP̃fBNg[ (OɃXbVȂ) łȂ΂Ȃ܂B
#
APPLICATION_CONTEXT_ROOT=relm

# p[^[: -oldApplicationVersion
# gp@: -oldApplicationVersion <o[W>
# :
# 	AbvO[h RELM o[WBftHgł́AÂAvP[Vɑ΂
#     repotools -version s鑀ł̒lʂ܂B
# ftHg:
# 	<Ȃ>
# :
#  - Sȃo[WEXgO
#    (1.0.0.1 Ȃ) ɂĂ
#
OLD_APPLICATION_VERSION=

# p[^[: -newApplicationHome
# gp@: -newApplicationHome <fBNg[EpX>
# :
# 	VKCXg[ł̃AvP[VEz[EfBNg[̃pXB
# ftHg:
# 	<sfBNg[>/conf
# :
#  - ͕K{p[^[łB
#  - <fBNg[EpX> ́A'server\conf' ŏĨfBNg[łȂ΂Ȃ܂B
#     e.g. /opt/ibm/JazzInstallDir/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# p[^[: -updateTomcatFiles
# gp@: -updateTomcatFiles <yes | no>
# :
# 	Tomcat \t@CXV邩ǂB
# ftHg:
# 	yes
# :
#  - Lĺuyesvсunov݂̂łB
#
UPDATE_TOMCAT_FILES=yes

# p[^[: -oldApplicationTomcatHome
# gp@: -oldApplicationTomcatHome <fBNg[EpX>
# :
# 	ÂCXg[ς݊ł Tomcat [gEfBNg[̐΃pXB
# ftHg:
# 	<Ȃ>
# :
#  - ̃fBNg[łȂ΂Ȃ܂B
#
OLD_APP_TOMCAT_HOME=

# p[^[: -newApplicationTomcatHome
# gp@: -newApplicationTomcatHome <fBNg[EpX>
# :
# 	VKCXg[ł̃AvP[V Tomcat [gEfBNg[̃pXB
# ftHg:
# 	<Ȃ>
#
NEW_APP_TOMCAT_HOME=

# p[^[: -newJTSHome
# gp@: -newJTSHome <fBNg[EpX>
# :
# 	VKCXg[ς݊Ŏgp JTS  JTS T[o[\fBNg[ւ̃pXB
# ftHg:
# 	VK̃AvP[VEz[EfBNg[
# :
#  - <fBNg[EpX> ́Auserver\confvŏĨfBNg[łȂ΂Ȃ܂B
#
NEW_JTS_HOME=

# p[^[: -jtsContextRoot
# gp@: -jtsContextRoot <[g>
# :
# 	JTS T[o[̃ReLXgE[gB
# ftHg:
# 	jts
# :
#  - <[g> ͗LȒP̃fBNg[ (OɃXbVȂ) łȂ΂Ȃ܂B
#
JTS_CONTEXT_ROOT=jts

# p[^[: -noPrompt
# gp@: -noPrompt
# :
# 	\쐬܂͕ύXOɃvvgo܂B
# ftHg:
# 	<Ȃ>
# :
#  - Ll͋܂́unoPromptv݂̂łB
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# p[^[: -noVerify
# gp@: -noVerify
# :
# 	teamserver.properties t@Čs܂B
# ftHg:
# 	<Ȃ>
# :
#  - Ll͋܂́unoVerifyv݂̂łB
#
# NO_VERIFY=noVerify
NO_VERIFY=

# p[^[: -overwrite
# gp@: -overwrite
# :
# 	̃t@Cׂď㏑邩ǂB
# ftHg:
# 	no
# :
#  - Ll͋܂́uoverwrite=yesv݂̂łB
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# p[^[: -noStepPrompt
# gp@: -noStepPrompt
# :
# 	XebvsOɃvvgo܂B
# ftHg:
# 	false
# :
#  - Lĺutruev܂́ufalsev݂̂łB
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false
