@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2012. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem Von den automatisierten Scripts angezeigte Datei fr Nachrichten.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM **********************************
REM * Nachrichten der ersten Prfung *
REM **********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo Das Upgrade muss mit Administratorberechtigung ausgefhrt werden.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo Fhren Sie das Script app_upgrade nicht direkt aus. Fhren Sie fr ein JTS- oder Anwendungsupgrade folgenden Befehl aus:
echo %TAB%relm_upgrade
echo Mit -help knnen Sie eine vollstndige Beschreibung des obigen Befehls anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo Das Script %2 muss im Verzeichnis %3 ausgefhrt werden, auer Sie verwenden den Parameter -help.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo Die Datei "%2" enthlt die Parameterwerte fr das Upgrade-Script.
echo Falls Sie Standardparameterwerte modifizieren mssen, knnen Sie diese Dateien bearbeiten oder die Parameterwerte als Befehlszeilenargumente fr die Upgrade-Scripts angeben.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo Die Standardparameterwerte fr ein Anwendungsupgrade oder ein JTS-Upgrade sind in folgender Datei enthalten. Falls Sie Standardparameterwerte modifizieren mssen, knnen Sie diese Dateien bearbeiten oder die Parameterwerte als Befehlszeilenargumente fr die Upgrade-Scripts angeben.
echo %TAB%- RELM Upgrade:  "%2params\relm_params%3.bat"
echo.
goto LBLEND


REM ******************************************
REM * Nachrichten zur Parameterverifizierung *
REM ******************************************

REM Interne Verifikation
rem ====================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Es wurde kein JTS oder Anwendungstyp angegeben. Fhren Sie fr ein JTS- oder Anwendungsupgrade folgenden Befehl aus:
echo     relm_upgrade
echo Mit -help knnen Sie eine vollstndige Beschreibung des obigen Befehls anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 ist kein gltiger Anwendungstyp. Fhren Sie fr ein Anwendungsupgrade folgenden Befehl aus:
echo     relm_upgrade
echo Mit -help knnen Sie eine vollstndige Beschreibung des obigen Befehls anzeigen.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Fehlender Wert fr den Parameter %2
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo Das fr den Parameter %2 angegebene Verzeichnis %3 ist nicht vorhanden oder ungltig.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo Das fr den Parameter %2 angegebene Verzeichnis %3 muss ein absoluter Pfad sein.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo Die fr den Parameter %2 angegebene Datei %3 ist nicht vorhanden oder ungltig.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 ist ein ungltiger Wert fr den Parameter %2.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 ist ein unbekannter Parameter.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND


REM uere Verifikation
rem ===================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Fehlender Parameter %2 fr das Ausgangsverzeichnis
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo Das Verzeichnis %2 ist nicht vorhanden oder ungltig.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo Der repotools-Befehl '%2' fr die Anwendung wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter '-oldApplicationHome' ('%3') auf das alte Serverkonfigurationsverzeichnis verweist, z. B. auf 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo Der repotools-Befehl '%2' fr die Anwendung wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter '-oldApplicationHome' ('%3') auf das alte Serverkonfigurationsverzeichnis verweist, z. B. auf 'JazzInstallDir\server\conf', und dass der Parameter 'jtsContextRoot' ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter '-oldApplicationHome' ('%3') auf das alte Serverkonfigurationsverzeichnis verweist, z. B. auf 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter '-oldApplicationHome' ('%3') auf das alte Serverkonfigurationsverzeichnis verweist, z. B. auf 'JazzInstallDir\server\conf', und dass der Parameter 'jtsContextRoot' ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo Der repotools-Befehl '%2' fr die Anwendung wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter '-newApplicationHome' ('%3') auf das neue Serverkonfigurationsverzeichnis verweist, z. B. auf 'JazzInstallDir\server\conf', und dass der Parameter 'jtsContextRoot' ('%4') korrekt ist.
echo Falls Sie ein Upgrade fr ein frheres Release durchfhren, vergewissern Sie sich, dass Sie die richtigen Kontextstammverzeichnisse ausgewhlt haben. Bei Verwendung des Installation Manager mssen Sie beispielsweise in der Anzeige "Kontextstammverzeichnisoptionen" die Option fr das %5-Kontextstammverzeichnis auswhlen. Sollten Sie versehentlich eine andere Option ausgewhlt haben, mssen Sie das Produkt mit der Option fr das %5-Kontextstammverzeichnis neu installieren.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter '-newApplicationHome' ('%3') auf das neue JTS-Serverkonfigurationsverzeichnis verweist, z. B. auf 'JazzInstallDir\server\conf', und dass der Parameter 'jtsContextRoot' ('%4') korrekt ist.
echo Falls Sie ein Upgrade fr ein frheres Release durchfhren, vergewissern Sie sich, dass Sie die richtigen Kontextstammverzeichnisse ausgewhlt haben. Bei Verwendung des Installation Manager mssen Sie beispielsweise in der Anzeige "Kontextstammverzeichnisoptionen" die Option fr das %5-Kontextstammverzeichnis auswhlen. Sollten Sie versehentlich eine andere Option ausgewhlt haben, mssen Sie das Produkt mit der Option fr das %5-Kontextstammverzeichnis neu installieren.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo Der repotools-Befehl '%2' fr den JTS wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter '-oldJTSHome' ('%3') auf das alte JTS-Serverkonfigurationsverzeichnis verweist, z. B. auf 'JazzInstallDir\server\conf', und dass der Parameter 'jtsContextRoot' ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter '-oldJTSHome' ('%3') auf das alte JTS-Serverkonfigurationsverzeichnis verweist, z. B. auf 'JazzInstallDir\server\conf', und dass der Parameter 'jtsContextRoot' ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo Der repotools-Befehl '%2' fr den JTS wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter '-newJTSHome' ('%3') auf das neue JTS-Serverkonfigurationsverzeichnis verweist, z. B. auf 'JazzInstallDir\server\conf', und dass der Parameter 'jtsContextRoot' ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter '-newJTSHome' ('%3') auf das neue JTS-Serverkonfigurationsverzeichnis verweist, z. B. auf 'JazzInstallDir\server\conf', und dass der Parameter 'jtsContextRoot' ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo Fr ein Upgrade von %2 ist eine TAR-Datei mit 2.x-Daten erforderlich.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND


REM **************************
REM * Ausfhrungsnachrichten *
REM **************************

:LBLMSG_BANNER_RELM
echo.
echo.
echo =============================================
echo ===    RELM-Upgrade    ===
echo =============================================
echo.
goto LBLEND


REM *******************************
REM * Schalter fr Anfangsschritt *
REM *******************************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo Letzte Ausfhrung beim ersten Schritt fehlgeschlagen
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo Letzte Ausfhrung bei Schritt '%2' fehlgeschlagen ...
echo Soll das Upgrade bei diesem oder einem frheren Schritt erneut gestartet werden?
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo Das Upgrade wurde bereits durchgefhrt und erfolgreich beendet ...
echo Soll ein neues Upgrade bei einem bestimmten Schritt gestartet werden?
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo Letzte Ausfhrung bei Schritt '%2' erfolgreich gestoppt ...
echo Soll das Upgrade bei Schritt '%3' oder einem frheren Schritt erneut gestartet werden?
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Geben Sie die Nummer des Schritts ['%2'-'%3'] ein, bei dem das Upgrade erneut gestartet werden soll, oder brechen Sie mit [Eingabetaste] ab:
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' ist keine Zahl. Geben Sie eine gltige Schrittnummer ein.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' ist eine ungltige Schrittnummer. Geben Sie eine gltige Schrittnummer ein.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo Der letzte Schritt ist Schritt %2, sodass das Upgrade nicht bei Schritt %3 neu gestartet werden kann.
goto LBLEND


:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo Schritt %2 wurde noch nicht ausgefhrt, sodass Sie das Upgrade nicht bei Schritt %3 neu starten knnen.
goto LBLEND



REM ****************************
REM * Nachrichten zu Schritten *
REM ****************************

:LBLMSG_STEP_0
echo Schritt 0: Konfigurationsdateien aktualisieren
echo -----------------------------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Schritt 1: Tabellen hinzufgen
echo ------------------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Schritt 2: Upgrade fr Data-Warehouse-Schema
echo --------------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo Schritt %2: Abfrage- und Suchindizes neu erstellen
echo --------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Schritt 3: Upgrade fr Data-Warehouse-Schema
echo --------------------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo Schritt %2: Textindizes neu erstellen
echo --------------------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo Schritt %2: Abfrage- und Suchindizes neu erstellen
echo --------------------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo Das %2-Upgrade ist bei Schritt %3 fehlgeschlagen. Lsen Sie das Problem. Fhren Sie das Script dann erneut ab Schritt %3 aus.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RELM
echo.
echo Das %2-Upgrade war erfolgreich. Falls Sie ebenfalls ein JTS-Upgrade und ein Upgrade fr alle zugehrigen Anwendungen (wie VVC, LQE und Sparql_Gateway) durchgefhrt haben, knnen Sie nun die Server in der Implementierung starten.
echo.
goto LBLEND

REM *********************************************
REM * Nachrichten whrend der Schrittausfhrung *
REM *********************************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Verzeichnis: %2
echo Befehl:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Geben Sie [E] fr die Ausfhrung dieses Schritts oder [S] zum berspringen ein oder brechen Sie die Scriptausfhrung mit [Eingabetaste] ab:
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2' ist eine ungltige Eingabe. Erlaubt sind nur 'E', 'S' oder 'Eingabetaste'.
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Ein Notizblockeditor wird geffnet, in dem Sie die Datei teamserver.properties von %2 berprfen knnen.
echo Prfen Sie, ob das von der Eigenschaft com.ibm.team.repository.server.webapp.url angegebene Stammelement des ffentlichen URI stimmt.
echo Prfen Sie, ob die Datenbankeigenschaften korrekt sind.
echo Speichern Sie ggf. vorgenommene nderungen. Schlieen Sie dann den Editor und fahren Sie mit der Script-Ausfhrung fort.
echo.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Geben Sie C ein, um die Ausfhrung fortzusetzen, oder drcken Sie die Eingabetaste, um die Script-Ausfhrung abzubrechen.
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2' ist eine ungltige Eingabe. Erlaubt ist nur 'C' oder 'Eingabetaste'.
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Die Textindizes konnten nicht von '%2' in '%3' kopiert werden.
echo berprfen Sie die Eigenschaft com.ibm.team.fulltext.indexLocation,
echo die in der Datei teamserver.properties definiert ist.
echo Kopieren Sie die Textindizes manuell in dieses Verzeichnis oder fhren
echo Sie repotools -rebuildTextIndices aus, um die Indizes neu zu erstellen.
echo.
goto LBLEND

REM ***************************************************
REM * Nachrichten zur Verifizierung ffentlicher URIs *
REM ***************************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! FEHLER !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Kein ffentlicher URI definiert in
echo %3.
echo Das Upgrade kann somit nicht gestartet werden.
echo.
echo Diese Datei muss einen wie folgt definierten ffentlichen URI enthalten:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Die Eigenschaft 'com.ibm.team.repository.server.webapp.url' fr den ffentlichen URI muss in der Datei 'teamserver.properties' enthalten sein.
echo Fgen Sie die Eigenschaft zur Datei 'teamserver.properties' der alten Installation hinzu und legen Sie fr alle Clients fest, dass der Wert der Eigenschaft als URI-Stammelement fr den Kontakt zum Server verwendet werden soll.
echo Das Stammelement des ffentlichen URI ist wesentliche Voraussetzung fr die ordnungsgeme Funktionsfhigkeit der neuen Installation. Ohne diese Eigenschaft ist kein erfolgreiches Upgrade mglich.
echo Weitere Informationen hierzu enthlt das Thema 'URIs planen' im Information Center.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! FEHLER !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Alle ffentlichen URIs, die in
echo %3 definiert sind, sind auf Kommentar
echo gesetzt, sodass das Upgrade nicht gestartet werden kann.
echo.
echo Diese Datei muss einen wie folgt definierten ffentlichen URI enthalten,
echo der nicht auf Kommentar gesetzt ist:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Die Eigenschaft 'com.ibm.team.repository.server.webapp.url' fr den ffentlichen URI muss in der Datei 'teamserver.properties' enthalten sein.
echo Fgen Sie die Eigenschaft zur Datei 'teamserver.properties' der alten Installation hinzu und legen Sie fr alle Clients fest, dass der Wert der Eigenschaft als URI-Stammelement fr den Kontakt zum Server verwendet werden soll.
echo Das Stammelement des ffentlichen URI ist wesentliche Voraussetzung fr die ordnungsgeme Funktionsfhigkeit der neuen Installation. Ohne diese Eigenschaft ist kein erfolgreiches Upgrade mglich.
echo Weitere Informationen hierzu enthlt das Thema 'URIs planen' im Information Center.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo Das Kontextstammverzeichnis des JTS ist auf '%2' gesetzt.
echo Das Kontextstammverzeichnis der Anwendung ist auf '%3' gesetzt.
echo Das Kontextstammverzeichnis des JTS darf nicht dasselbe wie das der Anwendung sein.
echo.
goto LBLEND

:LBLEND
endlocal
